
QGIS Application - Bug report #13675

Crashes when I try to move the features of memory layer that is rendered by rules.

2015-10-26 07:02 AM - Lionel Cacheux

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 21708

Description

Qgis crashes when I try to edit and move the features of memory layer that is rendered by rules. Happens in Qgis 2.12 and master on

Windows 8.1-64 and Ubuntu 15.4.

No crash with shapefiles or memory layers using other rendering methods.

History

#1 - 2015-10-26 03:08 PM - Nyall Dawson

- Status changed from Open to Feedback

Can't reproduce ... can you provide detailed steps which trigger this?

#2 - 2015-10-27 07:26 AM - Lionel Cacheux

The crash happens, for example, if you create a new temporary scratch polygon layer, apply a rule-based symbology depending on a field and try to move

one of the features. It causes a crash with a minidump.

#3 - 2015-11-07 09:15 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category set to Digitising

Cannot replicate on master, tested on both Windows and Linux.

#4 - 2015-12-19 10:09 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
